move base does not work for rebar

A forum dedicated to the Draft, Arch and BIM workbenches development.
Forum rules
Be nice to others! Respect the FreeCAD code of conduct!
Post Reply
User avatar
bernd
Veteran
Posts: 12851
Joined: Sun Sep 08, 2013 8:07 pm
Location: Zürich, Switzerland
Contact:

move base does not work for rebar

Post by bernd »

- start FreeCAD, make a new document
- create a simple rebar and set move base to True

Code: Select all

# code to make a rebar based on a simple wire
import FreeCAD, Arch, Draft
Wire = Draft.makeWire([FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(0, 0, 2000)])
Rebar = Arch.makeRebar(None, Wire, diameter=30, amount=1)
Rebar.MoveBase = True
FreeCAD.ActiveDocument.recompute()
- use Draft move to move the rebar
- make the line the rebar is based on visible
- the line was not moved


OS: Debian GNU/Linux 10 (buster) (KDE/plasma)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.17331 (Git)
Build type: Unknown
Branch: master
Hash: cf18161dc26267c259ac21675cb9637263bf4152
Python version: 3.7.3
Qt version: 5.11.3
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: German/Switzerland (de_CH)
User avatar
bernd
Veteran
Posts: 12851
Joined: Sun Sep 08, 2013 8:07 pm
Location: Zürich, Switzerland
Contact:

Re: move base does not work for rebar

Post by bernd »

yorik wrote: ping
Post Reply